#ifndef SETTINGSDIALOGAPPARENCESKINS_H
#define SETTINGSDIALOGAPPARENCESKINS_H
#include "Tools/menuXP.h"
#include "Tools/ButtonXP.h"
#include "Tools/ComboBoxXP.h"
#include "MainWnd.h"

// Bote de dialogue CSettingsDialogApparenceSkins

class CSettingsDialogApparenceSkins : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDialogApparenceSkins)

public:
	CSettingsDialogApparenceSkins();
	virtual ~CSettingsDialogApparenceSkins();
	void FindSkin(CString path);

	BOOL includeSubDirectory;
    CListBox m_ListSkin;
	BOOL changeSkinOnEachTrack;
	BOOL randomSkin;
	CButtonXP m_btnBrowse;
	CButtonXP m_btnDelete;
	CButtonXP m_btnUseDefault;
	CButtonXP m_btnSave;
	CButtonXP m_btnLook;

	enum {
		IDD = IDD_SETTINGS_APPARENCE_SKINS
	};

protected:
	afx_msg void OnOK();
	virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
	virtual BOOL OnInitDialog();
	void OnPaint();

	DECLARE_MESSAGE_MAP()
	DECLARE_MENUXP()
	void OnMouseMove(UINT nFlags, CPoint point);
public:
	afx_msg void OnSkinDirectoryBrowse();
	afx_msg void OnSaveSkin();
	afx_msg void OnLbnSelchangeLSkins();
	BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnBnClickedDeleteskinfromselection();
	afx_msg void OnBnClickedUsedefaultskin();
	afx_msg void OnBnClickedChangeskinoneachtrack();
	CString CopyResourceForSkin(CString skinPath, CString resourcePath);
};

#endif